package com.ghy.payment.mapper;

import com.ghy.payment.domain.OrderTimeoutRecord;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 订单扣款记录
 */
public interface OrderFineRecordMapper {

    List<OrderTimeoutRecord> selectByDetailIdAndStatus(@Param("orderDetailId") Long orderDetailId, @Param("orderStatus") Integer orderStatus);

    List<OrderTimeoutRecord> selectList(OrderTimeoutRecord orderTimeoutRecord);

    int insert(OrderTimeoutRecord orderTimeoutRecord);

//    int update(OrderTimeoutRecord orderTimeoutRecord);

    int updateFineStatus(@Param("id") Long id, @Param("fineStatus") int fineStatus);

    /**
     * 查询某师傅的未扣款的罚金
     *
     * @param workerId 师傅id
     * @param deptId   公司id
     */
    List<OrderTimeoutRecord> selectUnFine(@Param("workerId") Long workerId, @Param("deptId") Long deptId);

}
